Limerence
Agents

Get Agent

Get a specific agent by ID

GET
/agents/{id}

Get a specific agent by ID

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/agents/string"
{
  "capabilities": "string",
  "createdAt": "string",
  "dataSources": [
    {
      "dataSource": {
        "connectionStatus": null,
        "createdAt": "string",
        "database": null,
        "datasets": null,
        "filePath": null,
        "fileSize": null,
        "host": null,
        "id": "string",
        "lastError": null,
        "lastTestedAt": null,
        "name": "string",
        "originalFileName": null,
        "port": null,
        "projectId": null,
        "ssl": true,
        "teamId": "string",
        "type": "SQLITE",
        "updatedAt": "string",
        "username": null
      },
      "agentId": "string",
      "createdAt": "string",
      "dataSourceId": "string",
      "id": "string"
    }
  ],
  "description": null,
  "grounding": "string",
  "id": "string",
  "instructions": "string",
  "modelId": null,
  "name": "string",
  "provider": null,
  "providerId": null,
  "shortcuts": [
    {
      "agentId": "string",
      "createdAt": "string",
      "description": null,
      "disableModelInvocation": true,
      "icon": null,
      "id": "string",
      "immediate": true,
      "integrations": "string",
      "name": "string",
      "prefix": "string",
      "prompt": "string",
      "sortOrder": 0,
      "updatedAt": "string",
      "userInvokable": true,
      "visibility": "string"
    }
  ],
  "teamId": "string",
  "transcriptionModelId": null,
  "updatedAt": "string"
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "agents/not-found",
    "detail": "string"
  },
  "message": "Agent not found"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}